[Bug 788519] Re: behaviour regression due to apt-listchanges

Launchpad Bug Tracker 788519 at bugs.launchpad.net
Wed May 25 17:48:45 UTC 2016


This bug was fixed in the package apt-listchanges - 2.89ubuntu1

---------------
apt-listchanges (2.89ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - apt-listchanges/DebianFiles.py: only use apt-get changelog if which is
      changelogs or both, so not for news.

apt-listchanges (2.89) unstable; urgency=medium

  * Fix the 'none' frontend broken since version 2.86.
  * Introduce --select-frontend option for testing purposes
    to validate different frontends before release.
  * Quit early in the apt mode if there are no packages
    to process (this partially fixes #514865).
  * Standards-Version: 3.9.8 (no changes).

apt-listchanges (2.88) unstable; urgency=medium

  * Fix build reproducibility by forcing LC_ALL=C for docbook-to-man calls.
  * Update the previous debian/NEWS entry to mention renamed options.

apt-listchanges (2.87) unstable; urgency=medium

  * Use po4a for handling translations of man pages:
    + convert existing translations to *.po files, and unfuzzy them;
    + incorporate minor update of French man page by Alexandre Detiste
      from bug#796061;
    + make sure the Italian translation is actually installed;
    + update Makefiles, and add build dependency on po4a.
  * Fix encoding of non-ASCII mails (closes: #604922).
  * Convert http(s) and ftp(s) URLs into links in the browser frontend
    (closes: #587399). Additionally do the same CVE/CAN identifiers,
    and switch to using https for the Debian BTS links.
  * Introduce the --email-format option to optionally send mails in
    the HTML format (closes: #689731).
  * Rename the --save_seen option to --save-seen to match names of
    other command line options that contain hyphens rather than
    underscores (closes: #707667). Also rename --all to --show-all
    to match the name of the configuration file option. (Both older
    options are supported for backward compatibility, but no longer
    documented in the man page).
  * Enhance apt-listchanges(1) man page:
    + describe the format of the configuration file together with
      possible values of boolean options (see #707667);
    + document that browser, pager, and xterm settings can include
      arguments (closes: #784781);
    + disambiguate description of changes ordering (closes: #594844).
  * Introduce --ignore-apt-assume option to disable switching into
    non-interactive mode in case of `apt-get -y' (closes: #818712).
  * Switch to the non-interactive mode when DEBIAN_FRONTEND environment
    variable is set to "noninteractive". Add --ignore-debian-frontend
    to disable this.
  * Validate package names command line arguments (closes: #522700).
  * Try to prompt for confirmation when exception occurs (closes: #479530).
  * Update Polish translation.
  * Cleanup debian/rules a bit.
  * Drop useless build-dependency on libexpat1-dev.
  * Add debian/NEWS entry for recent changes.

apt-listchanges (2.86) unstable; urgency=medium

  * New maintainer (closes: #813245).
  * Merge binnmu entries with regular ones, not to display the low urgency
    binnmus before other possibly more important entries (closes: #746428).
  * If at least one package is being upgraded, do not ignore newly installed
    packages to try to support cases when /u/s/doc/package directory changes
    into symlink to another package built from the same source.
  * Check if filenames dict contains package name key before deleting it to
    avoid exception (closes: #757203).
  * Print "Reading changelogs" into stdout, not stderr (closes: #789160).
  * Do not override the mail fronted with text when quiet mode is set and
    the mail frontend is usable (closes: #502347, #788059).
  * Handle the '--assume-yes' option of apt-get by using non-interactive
    frontend and disabling confirmation (closes: #687443, LP: #788519),
    and fix exception occurring on non-int value while parsing apt
    'quiet=' line (closes: #604130).
  * Switch debian/copright to the DEP-5 format.
  * debian/copyright:
    + use https for Vcs-* fields, and link to cgit rather than gitweb;
    + remove remaining uploader;
    + bump Standards-Verrsion to 3.9.7 (no changes).

 -- Matthias Klose <doko at ubuntu.com>  Wed, 25 May 2016 18:11:31 +0200

** Changed in: apt-listchanges (Ubuntu)
       Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to apt-listchanges in Ubuntu.
https://bugs.launchpad.net/bugs/788519

Title:
  behaviour regression due to apt-listchanges

Status in apt-listchanges package in Ubuntu:
  Fix Released
Status in apt-listchanges package in Debian:
  Fix Released

Bug description:
  Binary package hint: apt

  In Maverick, the following would prompt the user *once* (for the root
  password resulting from the initial 'sudo'):

  $ sudo apt-get update && sudo apt-get -y upgrade

  Now, due to apt-listchanges, if any changelogs need to be downloaded,
  apt will not complete until an admin manually pages through the
  changelog entries. This appears to be due to apt-listchanges,
  specifically /etc/apt/listchanges.conf which specifies:

    frontend=pager

  To avoid regressing the traditional behaviour, a fix would be to
  change listchanges.conf to specify:

    frontend=text

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt-listchanges/+bug/788519/+subscriptions



More information about the foundations-bugs mailing list